Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui
Class Util

    java.lang.Object
      hibergui.Util

    public class Util

extends java.lang.Object

Field Summary
`static java.text.DateFormat` | `dateFormat`
`static java.text.DateFormat` | `timeFormat`

Constructor Summary
`Util()`

Method Summary
`static
`<T> java.util.List<T>`
` | `ensure(java.util.List<T> list)`
`static
`<K,V> java.util.Map<K,V>`
` | `ensure(java.util.Map<K,V> map)`
`static java.lang.Object` | `ensure(java.lang.Object o, java.lang.String prop)`
`static
`<T> java.util.Set<T>`
` | `ensure(java.util.Set<T> s)`
`static java.lang.String` | `ensure(java.lang.String s)`
`static
`<T> java.util.List<T>`
` | `ensureList(java.util.Collection<T> c)`
`static java.lang.String` | `ensureString(java.lang.Character c)`
`static java.lang.String` | `ensureString(java.util.Date d)`
`static java.lang.String` | `ensureString(java.lang.Integer i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dateFormat

    public static final java.text.DateFormat dateFormat

### timeFormat

    public static final java.text.DateFormat timeFormat

Constructor Detail

### Util

    public Util()

Method Detail

### ensure

    public static final java.lang.String ensure(java.lang.String s)

### ensure

    public static final <T> java.util.Set<T> ensure(java.util.Set<T> s)

### ensure

    public static final <T> java.util.List<T> ensure(java.util.List<T> list)

### ensure

    public static final <K,V> java.util.Map<K,V> ensure(java.util.Map<K,V> map)

### ensureString

    public static final java.lang.String ensureString(java.util.Date d)

### ensureString

    public static final java.lang.String ensureString(java.lang.Integer i)

### ensureString

    public static final java.lang.String ensureString(java.lang.Character c)

### ensureList

    public static final <T> java.util.List<T> ensureList(java.util.Collection<T> c)

### ensure

    public static final java.lang.Object ensure(java.lang.Object o,
                                                java.lang.String prop)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD